export interface I18nTextData {
    [textKey: string]: string | I18nTextData;
}
export interface I18nLanguageData {
    [languageKey: string]: I18nTextData;
}
export type GetDefaultTextType = (key: string) => string;
export interface I18nOptions {
    lang?: string;
    getDefaultText?: GetDefaultTextType;
}
export declare const getI18nValue: (data: I18nTextData, key: string, getDefaultText?: GetDefaultTextType) => string;
export default function createI18n(data?: I18nLanguageData, options?: I18nOptions): {
    t: (key: string, ...args: string[]) => string;
    getLang: () => string;
    setLang: (lang: string) => void;
    listen: (handler: (arg?: object) => void) => void;
    unlisten: (handler: (arg?: object) => void) => void;
    addLangData: (data: object) => void;
    _getListenHandlers: () => (() => void)[];
};
